#ifndef __MLVIEW_FILE_SELECTION_DIALOG_H__
#define __MLVIEW_FILE_SELECTION_DIALOG_H__

#include <gnome.h>

#define MLVIEW_TYPE_FILE_SELECTION (mlview_file_selection_get_type())
#define MLVIEW_FILE_SELECTION(widget) (GTK_CHECK_CAST((widget), MLVIEW_TYPE_FILE_SELECTION, MlViewFileSelection))
#define MLVIEW_FILE_SELECTION_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass), MLVIEW_TYPE_FILE_SELECTION, MlViewFileSelectionClass))
#define MLVIEW_IS_FILE_SELECTION(widget)  (GTK_CHECK_TYPE((widget), MLVIEW_TYPE_FILE_SELECTION))
#define MLVIEW_IS_FILE_SELECTION_CLASS(klass) (GTK_CHECK_CLASS_TYPE)((klass), MLVIEW_TYPE_FILE_SELECTION)

enum MLVIEW_SELECTED_BUTTON {
	OK_BUTTON = 1,
	CANCEL_BUTTON,
	WINDOW_CLOSED
} ;

typedef struct _MlViewFileSelection MlViewFileSelection ;
typedef struct _MlViewFileSelectionClass MlViewFileSelectionClass ;
typedef struct _MlViewFileSelectionPrivate MlViewFileSelectionPrivate ;

struct _MlViewFileSelection
{
	GtkFileSelection file_selection ;
	MlViewFileSelectionPrivate * private ;
} ;

guint mlview_file_selection_get_type(void) ;
GtkWidget * mlview_file_selection_new(void) ;
gint mlview_file_selection_run(MlViewFileSelection * a_file_selection, gboolean a_close_after) ;

struct _MlViewFileSelectionClass
{
	GtkFileSelectionClass parent_class ;
};


#endif /*__MLVIEW_FILE_SELECTION_DIALOG_H__*/
